Bug 1284162 - Fatal Internal Error in libarchive: Out of memory when creating mtree files
Fatal Internal Error in libarchive: Out of memory when creating mtree files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libarchive (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 05:16 EST by Ting-Wei Lan
Modified: 2015-12-24 19:24 EST (History)
1 user (show)

See Also:
Fixed In Version: libarchive-3.1.2-14.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 19:24:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ting-Wei Lan 2015-11-21 05:16:14 EST
Description of problem:
Running 'makepkg' on Fedora always fail.

Version-Release number of selected component (if applicable):
libarchive-3.1.2-13.fc23.x86_64

How reproducible:
It is always reproducible when running makepkg, and it can usually be reproduced when using bsdtar on other files.

Steps to Reproduce:
1. bsdtar -cf - --format=mtree /etc/systemd/system

Actual results:
bsdtar: Removing leading '/' from member names
Fatal Internal Error in libarchive: Out of memory

Expected results:
mtree output is successfully generated and printed to stdout.

Additional info:
This bug is already fixed upstream:
https://github.com/libarchive/libarchive/issues/411

The patch included in the bug report can fix this problem.
Comment 1 Fedora Update System 2015-12-21 00:53:03 EST
libarchive-3.1.2-14.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4941f9754f
Comment 2 Fedora Update System 2015-12-22 19:11:10 EST
libarchive-3.1.2-14.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4941f9754f
Comment 3 Fedora Update System 2015-12-24 19:24:54 EST
libarchive-3.1.2-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.